/*rating*/
.rating-css div{
    color:rgb(248, 227, 0);
    font-size:30px;
    font-family: sans-serif;
    font-style: 800;
    text-align: center;
    text-transform: uppercase;
    padding: 20px 0;
}

.rating-css input{
    display:none;
}

.rating-css input+label{
    font-size:60px;
    text-shadow:1px 1px 0 #8f8420;
    cursor:pointer;
}

.rating-css input:checked + label ~ label {
    color:#b4afaf;
}

.rating-css label:active{
    transform:scale(0.8);
    transition: 0.3s ease;
}

/*end of star rating*/
.checked{
    color:rgb(212, 210, 76);
}


/* Order list table to scroll - start*/
.table-scrollable-orderList {
    max-height: 630px !important; /* Adjust height based on your layout */
    overflow-y: auto;
}

/* Keeps the table headers visible when you scroll down */
.table-scrollable-orderList thead th {
    position: sticky;
    top: 0;
    z-index: 2;
    background-color: #ffffff;
}
/* Order details table to scroll - end*/


/*  Responsive Mobile Override (For screens under 576px) */
@media (max-width: 575.98px) {
    .product-card-title {
        font-size: 12px !important;       /* Forces the small text scale */
        line-height: 1.3 !important;     /* Adds vertical space between wrapped lines */

    }

    .horizontal-card-title {
        font-size:14px !important;
        line-height: 1.3 !important;
    }

    .vertical-buy-now-button {
        font-size:10px !important;
    }

    .vertical-rating{
        font-size:80%!important;
    }

}

/*  Responsive narrow Mobile Override like foldable phone (For screens under 380) */
@media (max-width: 380px) {
    .buy-now-button {
        font-size:9.8px !important;
        line-height: 1.3 !important;
    }

    .rating{
        font-size:85%!important;
    }

    .vertical-buy-now-button {
        font-size:6px !important;
        font-weight: 100 !important;

    }

    .vertical-rating{
        font-size:70%!important;
    }

    .product-offer-content p {
        font-size:9px !important;

     }

     .product-offer-content h3 {
        font-size:15px !important;
        font-weight: 500 !important;
     }

}



/*  Responsive  (For screens under 860px) */
@media (max-width: 860px) {

    .product-offer-content p {
        font-size:12px !important;

     }

     .product-offer-content h3 {
        font-size:18px !important;
        font-weight: 500 !important;
     }
}

/* contact emails */
.email-link:hover {
    color: #06a6ac !important; /* Turns into your theme teal color on hover */
    text-decoration: underline !important; /* Adds a clean underline on hover */
}


